Set status for content
POST
/v1/partner/company/{companyKey}/content/{contentKey}/{status}
const url = 'https://sender.api.kivra.com/v1/partner/company/example/content/example/example';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '"example"'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://sender.api.kivra.com/v1/partner/company/example/content/example/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '"example"'This resource allows to set the status for a specific content. It is used by the partner to set whether the content should be marked as viewed or paid.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”companyKey
required
Company’s unique key
string
The unique key for the company object being retrieved
contentKey
required
Content’s unique key
string
The unique key for a specific content
status
required
The new state to be set for the content
string
The specific state to be set for this content, can be paid, unpaid, view or unview
Request Body
Section titled “Request Body”Empty JSON body
Media typeapplication/json
Examplegenerated
exampleResponses
Section titled “Responses”Empty response confirming that the operation was successful